Bug 185964 - yum use of /etc/rpm/platform not mentioned in yum.conf man page
yum use of /etc/rpm/platform not mentioned in yum.conf man page
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-20 10:43 EST by Jón Fairbairn
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2006-03-20 10:43:05 EST
Description of problem:
man yum.conf claims that $arch is filled in from python's os.uname
when in fact it uses /etc/rpm/platform if it exists

Version-Release number of selected component (if applicable):
yum-2.4.1-1.fc4

How reproducible:
always

Steps to Reproduce:
1. read the man page from man yum.conf
2.
3.
  
Actual results:
       $arch  This will be replaced with your architecture as listed by
os.uname()[4] in Python.



Expected results:

       $arch  This will be replaced with your architecture as listed 
in /etc/rpm/platform if it exists, or otherwise by os.uname()[4] in Python.


Additional info:

Note You need to log in before you can comment on or make changes to this bug.